www.cendio.com
Bug 5512 - Can't start sessions on Ubuntu 15.04
: Can't start sessions on Ubuntu 15.04
Status: CLOSED FIXED
: ThinLinc
Desktop environment
: trunk
: PC Unknown
: P2 Normal
: 4.4.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2015-04-27 14:18 by
Modified: 2015-04-30 09:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-04-27 14:18:24
Looks like another area where we assume that upstart is providing init.

> Stopping initial window manager...
> Done.
> Executing profile: unity
> Using XDG session: ubuntu
> Executing XDG session command: init --user
> init: unrecognized option '--user'
> Running /opt/thinlinc/etc/xlogout.d/tl-kdestroy.sh
> /opt/thinlinc/etc/xlogout.d/tl-kdestroy.sh: line 10: type: kdestroy: not found
> Running /opt/thinlinc/etc/xlogout.d/tl-umount-localdrives
> XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":1"
>       after 113 requests (113 known processed) with 1 events remaining.
> tl-while-x11: lost Xserver connection, terminating child 2425 ...

A console session has "/sbin/upstart --user" in it's process tree, so we should
probably use that if the system doesn't use upstart as init.

These sessions are affected:

> root@ubuntu:~# cat /etc/upstart-xsessions 
> # xsessions listed below are run inside an Upstart user session.
> gnome
> gnome-classic
> gnome-fallback
> gnome-flashback-metacity
> gnome-flashback-compiz
> kde-plasma
> Lubuntu
> Lubuntu-Netbook
> lubuntu-nexus7
> lxgames
> qlubuntu
> ubuntu
> ubuntustudio
> xfce
> xubuntu
> unity8-x11
> unity8-mir
------- Comment #1 From cendio 2015-04-27 15:18:15 -------
This can also happen on 14.10 if you are using systemd as init.

Ubuntu's own scripts have been changed to use the command "upstart" rather than
"init" in order to start sessions. This command is a new command for 14.10.
------- Comment #2 From cendio 2015-04-27 15:20:56 -------
Fixed in r30270.

Needs to be tested on 14.04 to verify that we still run "init" there, and on
something newer to make sure we use "upstart" there.
------- Comment #3 From cendio 2015-04-29 09:42:53 -------
(In reply to comment #2)
> Fixed in r30270.
> 
> Needs to be tested on 14.04 to verify that we still run "init" there, and on
> something newer to make sure we use "upstart" there.

Works fine on 15.04. Still need to test on 14.04.
------- Comment #4 From cendio 2015-04-30 09:08:16 -------
(In reply to comment #3)
> (In reply to comment #2)
> > Fixed in r30270.
> > 
> > Needs to be tested on 14.04 to verify that we still run "init" there, and on
> > something newer to make sure we use "upstart" there.
> 
> Works fine on 15.04. Still need to test on 14.04.

Also works fine on 14.04, thanks to Henrik for testing.